<?php
// $Id: jcarousel.inc,v 1.1.2.2 2008/03/11 22:50:45 jbrown Exp $

// Copyright 2007 Jonathan Brown


function op_video_views_style_plugins() {
  return array(
    'op_video_jcarousel' => array(
      'name' => t('Video jCarousel'),
      'theme' => 'op_video_jcarousel',
      'needs_table_header' => TRUE,
      'needs_fields' => TRUE,
      'even_empty' => TRUE,
    ),
  );
}


function theme_op_video_jcarousel($view, $nodes, $type) {
	
	$content_type_info = _content_type_info();

	foreach($nodes as $node) {
		$node = (array)node_load($node->nid);
		foreach($node as $field => $value) {
			if($content_type_info['fields'][$field]['type'] == 'op_video') {
			
	    	$video = _op_video_load($value[0]['video_id']);
	    	
	    	if($video) {
					$thumbs[] = _op_video_render_preview_image_link($video, $node['nid'], 120, 80);
				}
			}
		}
	}
	
	if($thumbs) {
		jcarousel_add();
/*
	drupal_add_js("modules/op_video/jcarousel/lib/jquery.jcarousel.pack.js");
	drupal_add_css("modules/op_video/jcarousel/lib/jquery.jcarousel.css");
	drupal_add_css("modules/op_video/jcarousel/skins/tango/skin.css");
*/
	drupal_add_js("jQuery(document).ready(function() { jQuery('#mycarousel').jcarousel({visible: 2}); });", 'inline');
/*
		$output .= "<script type=\"text/javascript\">jQuery(document).ready(function() {
    jQuery('#mycarousel').jcarousel();
});</script>";
*/
		$output .= "\n<ul id=\"mycarousel\" class=\"jcarousel-skin-tango\">\n<li>";
		$output .= implode("</li>\n<li>", $thumbs);
		$output .= "</li>\n</ul>\n";

//		$output .= "<script type=\"text/javascript\">jQuery('#mycarousel').jcarousel();</script>";
	}
	
	return $output;
}

