<?php
// $Id: services.inc,v 1.1.2.1 2008/01/20 03:16:20 jbrown Exp $

/**
 * Implementation of hook_service().
 */
function op_video_service() {
  return array(
    // user.login
    array(
      '#method'   => 'video.load',
      '#callback' => 'op_video_service_load',
      '#args'     => array(
        array(
          '#name' => 'vid',
          '#type' => 'int',
          '#description' => t('The video ID to load.'),
        ), 
      ),
      '#return'   => 'struct',
      '#help'     => t('Loads information about the given video.')
    ),
  );
}

/**
 * Loads video information
 */
function op_video_service_load($vid) {
  $video = _op_video_load($vid);
  if (!$video) {
    return services_error(t('Wrong video id.'));
  }
  else {
    return $video;
  }
}
